Summary:	DRI2 extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia DRI2
Name:		xorg-proto-dri2proto
Version:	2.8
Release:	2
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/dri2proto-%{version}.tar.bz2
# Source0-md5:	b2721d5d24c04d9980a0c6540cb5396a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DRI2 (Direct Rendering Infrastructure 2) extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia DRI2 (Direct Rendering Infrastructure 2).

%package devel
Summary:	DRI2 extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia DRI2
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
DRI2 (Direct Rendering Infrastructure 2) extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia DRI2 (Direct Rendering Infrastructure 2).

%prep
%setup -q -n dri2proto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README dri2proto.txt
%{_includedir}/X11/extensions/dri2*.h
%{_pkgconfigdir}/dri2proto.pc
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-proto-dri2proto.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 238f4b2
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jul 12 2012 Jakub Bogusz <qboosh@pld-linux.org> ce28e0d
- updated to 2.8

* Wed Jun 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b21f8c
- up to 2.6

* Tue Jun 28 2011 Jan Rękorajski <baggins@pld-linux.org> 10542a1
- rel 2
- fix struct xDRI2BufferSwapComplete breakage

* Fri May 06 2011 Jakub Bogusz <qboosh@pld-linux.org> d35fa58
- updated to 2.4

* Tue Feb 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d17fb1
- up to 2.3

* Wed Jan 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 33cef52
- updated util-macros version
- added README to doc

* Sat Jan 09 2010 sparky <sparky@pld-linux.org> d0419b9
- BR: pkgconfig

* Fri Jan 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ebb46a1
- up to 2.2

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> d92d43b
- util-macros version
- more docs

* Fri Jun 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bf6578
- up to 2.1

* Mon Apr 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f202f3a
- up to 2.0

* Mon Jan 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fd18d6d
- release 2

* Tue Dec 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a973305
- up to 1.99.3

* Sat Apr 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 3f04cff
- pl
- removed unneeded Rs (copy-pasto?)

* Thu Apr 03 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> 3655c65
- up to 1.1

* Mon Mar 31 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> e778aff
- initial version

